***

title: get
slug: /reference/typescript/rest/fabric/ai-agents/get
description: Retrieve a single AI agent resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a single AI agent resource.

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/ai_agents/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/ai_agents/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const agent = await client.fabric.aiAgents.get("agent-id");
console.log(`AI Agent: ${agent.display_name}, ID: ${agent.id}`);
```